
#ifndef _MSTATUSBAR_H
#define _MSTATUSBAR_H
#include "layout.h"

class MStatusBar :  public MView, public BView
{
	private:	BRect	lastbounds;
				BRect	lastbar;
				BHandler *target;

	public:		float	value;
				float	currentwidth;

	public:		MStatusBar(BHandler *);

				virtual	minimax	layoutprefs();
				virtual BRect	layout(BRect rect);
				virtual void	Draw(BRect);
				virtual void	Pulse();
				virtual void	MouseDown(BPoint);
				static	long	_mousetracker(void *arg);
				virtual	long	mousetracker();
				virtual void	WindowActivated(bool);
				virtual void	FrameResized(float,float);
};

#endif

#define STATUSBAR_CLICKED  'stbc'
#define STATUSBAR_DRAGGED  'stbd'
#define STATUSBAR_RELEASED 'stbr'
